---
title: FormData.values()
slug: Web/API/FormData/values
tags:
  - API
  - FormData
  - Iterator
  - Method
  - Reference
  - XMLHttpRequest API
---
<p>{{APIRef("XMLHttpRequest")}}</p>

<p>The <code><strong>FormData.values()</strong></code> method returns an {{jsxref("Iteration_protocols",'iterator')}} allowing to go through all values contained in this object. The values are {{domxref("USVString")}} or {{domxref("Blob")}} objects.</p>

<div class="note">
<p><strong>Note</strong>: This method is available in <a href="/en-US/docs/Web/API/Web_Workers_API">Web Workers</a>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">formData.values();</pre>

<h3 id="Return_value">Return value</h3>

<p>Returns an {{jsxref("Iteration_protocols","iterator")}}.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js;highlight:[7]">// Create a test FormData object
var formData = new FormData();
formData.append('key1', 'value1');
formData.append('key2', 'value2');

// Display the values
for (var value of formData.values()) {
   console.log(value);
}
</pre>

<p>The result is:</p>

<pre>value1
value2</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('XMLHttpRequest','#dom-formdata','values() (as iterator&lt;&gt;)')}}</td>
			<td>{{Spec2('XMLHttpRequest')}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FormData.values")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{domxref("XMLHTTPRequest")}}</li>
	<li><a href="/en-US/docs/DOM/XMLHttpRequest/Using_XMLHttpRequest" title="Using XMLHttpRequest">Using XMLHttpRequest</a></li>
	<li><a href="/en-US/docs/DOM/XMLHttpRequest/FormData/Using_FormData_Objects" title="DOM/XMLHttpRequest/FormData/Using_FormData_objects">Using FormData objects</a></li>
	<li>{{HTMLElement("Form")}}</li>
</ul>
